package com.tanpu.community.api;

import org.springframework.beans.factory.annotation.Value;

/**
 * monitor系统常量
 */
public final class CommunityConstant {
    public static final String WEB_BASE_PATH = "/community";

    public static final String PACKAGE_BASE = "com.tanpu.community";

    public static final String OSS_PREFIX_URL ="http://tamperfeodev.oss-cn-shanghai.aliyuncs.com/";

    @Value("${aliyun.oss.bucketName}")
    public String OSS_BUCKET_NAME;

    @Value("${aliyun.oss.endpoint}")
    public String OSS_END_POINT;

    public static final String OSS_PREFIX_FOLDER ="community/";

    //图片压缩比例:50%
    public static final String OSS_RESIZE_RATIO = "?x-oss-process=image/resize,p_50";

}
