package com.tanpu.community.api.beans.qo;

import com.tanpu.community.api.beans.vo.feign.product.FundInfoBaseResp;
import com.tanpu.community.api.beans.vo.feign.course.ShortVideoBaseInfoResp;
import com.tanpu.community.api.beans.vo.feign.zhibo.ZhiboListResp;
import com.tanpu.community.api.beans.vo.feign.course.CourseSimpleResp;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "附件对象")
public class AttachmentDetailVo {

    @ApiModelProperty("直播信息")
    private ZhiboListResp zhibo;
    @ApiModelProperty("产品信息")
    private FundInfoBaseResp product;
    @ApiModelProperty("短视频")
    private ShortVideoBaseInfoResp shortVideo;
    @ApiModelProperty("课程")
    private ShortVideoBaseInfoResp curriculum;
    @ApiModelProperty("新版课程")
    private CourseSimpleResp course;


}
